Module ij
Package ij.gui

# Class PlotVirtualStack

java.lang.Object
ij.ImageStack
ij.VirtualStack
ij.gui.PlotVirtualStack

public class PlotVirtualStack extends VirtualStack
This is a virtual stack of frozen plots.

## Field Summary

### Fields inherited from class ij.ImageStack

`cTable`

## Constructor Summary

Constructors
Constructor
Description
`PlotVirtualStack(int width, int height)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPlot(Plot plot)`
Adds a plot to the end of the stack.
`void`
`deleteSlice(int n)`
Deletes the specified slice, where 1<=n<=nslices.
`int`
`getBitDepth()`
Returns either 24 (RGB) or 8 (grayscale).
`Object`
`getPixels(int n)`
Returns the pixel array for the specified slice, where 1<=n<=nslices.
`ImageProcessor`
`getProcessor(int n)`
Returns an ImageProcessor for the specified slice, where 1<=n<=nslices.
`int`
`getSize()`
Returns the number of slices in this stack.
`String`
`getSliceLabel(int n)`
Returns the label of the Nth image.
`void`
`setBitDepth(int bitDepth)`
Sets the bit depth (8, 16, 24 or 32).
`void`
`setPixels(Object pixels, int n)`
Assigns a pixel array to the specified slice, where 1<=n<=nslices.

### Methods inherited from class ij.VirtualStack

`addSlice, addSlice, addSlice, addSlice, deleteLastSlice, getDirectory, getFileName, getImageArray, getProperties, isVirtual, reduce, saveChanges, setIndexes, setSliceLabel, size, sortDicom, translate, trim`

### Methods inherited from class ij.ImageStack

`addSlice, addUnsignedShortSlice, convertToFloat, create, create, crop, drawSphere, duplicate, getColorModel, getHeight, getRoi, getShortSliceLabel, getShortSliceLabel, getSliceLabels, getVoxel, getVoxels, getVoxels, getWidth, isHSB, isHSB32, isLab, isRGB, setColorModel, setOptions, setProcessor, setRoi, setVoxel, setVoxels, setVoxels, toString, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PlotVirtualStack

public PlotVirtualStack(int width, int height)

## Method Details

### addPlot

public void addPlot(Plot plot)
Adds a plot to the end of the stack.

### getPixels

public Object getPixels(int n)
Returns the pixel array for the specified slice, where 1<=n<=nslices.

Overrides:
  `getPixels` in class `VirtualStack`

### getProcessor

public ImageProcessor getProcessor(int n)
Returns an ImageProcessor for the specified slice, where 1<=n<=nslices. Returns null if the stack is empty.

Overrides:
  `getProcessor` in class `VirtualStack`

### getSize

public int getSize()
Returns the number of slices in this stack.

Overrides:
  `getSize` in class `VirtualStack`

### getBitDepth

public int getBitDepth()
Returns either 24 (RGB) or 8 (grayscale).

Overrides:
  `getBitDepth` in class `VirtualStack`

### setBitDepth

public void setBitDepth(int bitDepth)
Description copied from class: `VirtualStack`
Sets the bit depth (8, 16, 24 or 32).

Overrides:
  `setBitDepth` in class `VirtualStack`

### getSliceLabel

public String getSliceLabel(int n)
Description copied from class: `VirtualStack`
Returns the label of the Nth image.

Overrides:
  `getSliceLabel` in class `VirtualStack`

### setPixels

public void setPixels(Object pixels, int n)
Description copied from class: `VirtualStack`
Assigns a pixel array to the specified slice, where 1<=n<=nslices.

Overrides:
  `setPixels` in class `VirtualStack`

### deleteSlice

public void deleteSlice(int n)
Deletes the specified slice, where 1<=n<=nslices.

Overrides:
  `deleteSlice` in class `VirtualStack`